## twinkle 1.4.2

=== src/gui/Makefile ===
#############################################################################
# Makefile for building: twinkle
# Generated by qmake (1.07a) (Qt 3.3.7) on: Wed Feb 25 21:17:04 2009
# Project:  twinkle.pro
# Template: app
# Command: $(QMAKE) -o Makefile twinkle.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -D_REENTRANT  -DQT_NO_STL -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -Wall -W -march=i586 -mtune=i686 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -O2 -fno-strict-aliasing -D_REENTRANT  -DQT_NO_STL -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I.. -I../../src -I/usr/local/include -I/usr/include/libxml2 -I/opt/kde3/include -I/usr/include -I$(QTDIR)/include -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = -L/opt/kde3/lib $(SUBLIBS) -L/usr/lib/ -L$(QTDIR)/lib/ -L/usr/X11R6/lib/ ../libtwinkle.a ../parser/libsipparser.a ../sdp/libsdpparser.a ../sockets/libsocket.a ../threads/libthread.a ../audio/libaudio.a ../audits/libaudits.a ../stun/libstun.a ../mwi/libmwi.a ../im/libim.a ../patterns/libpatterns.a ../presence/libpresence.a ../utils/libutils.a -lsndfile -lmagic -lncurses -lreadline -L/usr/local/lib -lccext2 -pthread -lccrtp1 -lccgnu2 -ldl -lrt -lxml2 -lz -L/opt/kde3/lib -lkdecore -lkdeui -L/lib -lkabc -lresolv ../audio/gsm/libgsm.a -lasound -lspeex -lspeexdsp -lilbc -lzrtpcpp -lboost_regex -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = gui.h \
		historylistview.h \
		freedesksystray.h \
		twinklesystray.h \
		address_finder.h \
		qt_translator.h \
		core_strings.h \
		addresslistviewitem.h \
		yesnodialog.h \
		command_args.h \
		messageformview.h \
		buddylistview.h \
		textbrowsernoautolink.h \
		twinkleapplication.h
SOURCES = main.cpp \
		gui.cpp \
		historylistview.cpp \
		freedesksystray.cpp \
		twinklesystray.cpp \
		address_finder.cpp \
		addresslistviewitem.cpp \
		yesnodialog.cpp \
		messageformview.cpp \
		buddylistview.cpp \
		twinkleapplication.cpp
OBJECTS = .obj/main.o \
		.obj/gui.o \
		.obj/historylistview.o \
		.obj/freedesksystray.o \
		.obj/twinklesystray.o \
		.obj/address_finder.o \
		.obj/addresslistviewitem.o \
		.obj/yesnodialog.o \
		.obj/messageformview.o \
		.obj/buddylistview.o \
		.obj/twinkleapplication.o \
		.obj/mphoneform.o \
		.obj/inviteform.o \
		.obj/deregisterform.o \
		.obj/redirectform.o \
		.obj/termcapform.o \
		.obj/dtmfform.o \
		.obj/selectnicform.o \
		.obj/srvredirectform.o \
		.obj/authenticationform.o \
		.obj/userprofileform.o \
		.obj/selectprofileform.o \
		.obj/getprofilenameform.o \
		.obj/transferform.o \
		.obj/syssettingsform.o \
		.obj/logviewform.o \
		.obj/wizardform.o \
		.obj/getaddressform.o \
		.obj/historyform.o \
		.obj/selectuserform.o \
		.obj/numberconversionform.o \
		.obj/addresscardform.o \
		.obj/messageform.o \
		.obj/buddyform.o \
		.obj/sendfileform.o \
		.obj/diamondcardprofileform.o \
		.obj/qmake_image_collection.o
FORMS = mphoneform.ui \
		inviteform.ui \
		deregisterform.ui \
		redirectform.ui \
		termcapform.ui \
		dtmfform.ui \
		selectnicform.ui \
		srvredirectform.ui \
		authenticationform.ui \
		userprofileform.ui \
		selectprofileform.ui \
		getprofilenameform.ui \
		transferform.ui \
		syssettingsform.ui \
		logviewform.ui \
		wizardform.ui \
		getaddressform.ui \
		historyform.ui \
		selectuserform.ui \
		numberconversionform.ui \
		addresscardform.ui \
		messageform.ui \
		buddyform.ui \
		sendfileform.ui \
		diamondcardprofileform.ui
UICDECLS = .ui/mphoneform.h \
		.ui/inviteform.h \
		.ui/deregisterform.h \
		.ui/redirectform.h \
		.ui/termcapform.h \
		.ui/dtmfform.h \
		.ui/selectnicform.h \
		.ui/srvredirectform.h \
		.ui/authenticationform.h \
		.ui/userprofileform.h \
		.ui/selectprofileform.h \
		.ui/getprofilenameform.h \
		.ui/transferform.h \
		.ui/syssettingsform.h \
		.ui/logviewform.h \
		.ui/wizardform.h \
		.ui/getaddressform.h \
		.ui/historyform.h \
		.ui/selectuserform.h \
		.ui/numberconversionform.h \
		.ui/addresscardform.h \
		.ui/messageform.h \
		.ui/buddyform.h \
		.ui/sendfileform.h \
		.ui/diamondcardprofileform.h
UICIMPLS = .ui/mphoneform.cpp \
		.ui/inviteform.cpp \
		.ui/deregisterform.cpp \
		.ui/redirectform.cpp \
		.ui/termcapform.cpp \
		.ui/dtmfform.cpp \
		.ui/selectnicform.cpp \
		.ui/srvredirectform.cpp \
		.ui/authenticationform.cpp \
		.ui/userprofileform.cpp \
		.ui/selectprofileform.cpp \
		.ui/getprofilenameform.cpp \
		.ui/transferform.cpp \
		.ui/syssettingsform.cpp \
		.ui/logviewform.cpp \
		.ui/wizardform.cpp \
		.ui/getaddressform.cpp \
		.ui/historyform.cpp \
		.ui/selectuserform.cpp \
		.ui/numberconversionform.cpp \
		.ui/addresscardform.cpp \
		.ui/messageform.cpp \
		.ui/buddyform.cpp \
		.ui/sendfileform.cpp \
		.ui/diamondcardprofileform.cpp
SRCMOC   = .moc/moc_gui.cpp \
		.moc/moc_freedesksystray.cpp \
		.moc/moc_address_finder.cpp \
		.moc/moc_yesnodialog.cpp \
		.moc/moc_textbrowsernoautolink.cpp \
		.moc/moc_mphoneform.cpp \
		.moc/moc_inviteform.cpp \
		.moc/moc_deregisterform.cpp \
		.moc/moc_redirectform.cpp \
		.moc/moc_termcapform.cpp \
		.moc/moc_dtmfform.cpp \
		.moc/moc_selectnicform.cpp \
		.moc/moc_srvredirectform.cpp \
		.moc/moc_authenticationform.cpp \
		.moc/moc_userprofileform.cpp \
		.moc/moc_selectprofileform.cpp \
		.moc/moc_getprofilenameform.cpp \
		.moc/moc_transferform.cpp \
		.moc/moc_syssettingsform.cpp \
		.moc/moc_logviewform.cpp \
		.moc/moc_wizardform.cpp \
		.moc/moc_getaddressform.cpp \
		.moc/moc_historyform.cpp \
		.moc/moc_selectuserform.cpp \
		.moc/moc_numberconversionform.cpp \
		.moc/moc_addresscardform.cpp \
		.moc/moc_messageform.cpp \
		.moc/moc_buddyform.cpp \
		.moc/moc_sendfileform.cpp \
		.moc/moc_diamondcardprofileform.cpp
OBJMOC = .obj/moc_gui.o \
		.obj/moc_freedesksystray.o \
		.obj/moc_address_finder.o \
		.obj/moc_yesnodialog.o \
		.obj/moc_textbrowsernoautolink.o \
		.obj/moc_mphoneform.o \
		.obj/moc_inviteform.o \
		.obj/moc_deregisterform.o \
		.obj/moc_redirectform.o \
		.obj/moc_termcapform.o \
		.obj/moc_dtmfform.o \
		.obj/moc_selectnicform.o \
		.obj/moc_srvredirectform.o \
		.obj/moc_authenticationform.o \
		.obj/moc_userprofileform.o \
		.obj/moc_selectprofileform.o \
		.obj/moc_getprofilenameform.o \
		.obj/moc_transferform.o \
		.obj/moc_syssettingsform.o \
		.obj/moc_logviewform.o \
		.obj/moc_wizardform.o \
		.obj/moc_getaddressform.o \
		.obj/moc_historyform.o \
		.obj/moc_selectuserform.o \
		.obj/moc_numberconversionform.o \
		.obj/moc_addresscardform.o \
		.obj/moc_messageform.o \
		.obj/moc_buddyform.o \
		.obj/moc_sendfileform.o \
		.obj/moc_diamondcardprofileform.o
DIST	   = ../../qtccxxincl.pro \
		twinkle.pro
QMAKE_TARGET = twinkle
DESTDIR  = 
TARGET   = twinkle

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: twinkle.pro  /usr/lib/qt3/mkspecs/default/qmake.conf ../../qtccxxincl.pro \
		/usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile twinkle.pro
qmake: 
	@$(QMAKE) -o Makefile twinkle.pro

dist:

=== debian/changelog ===
twinkle (1:1.4.2-4) unstable; urgency=medium

  * Tweak for automake 1.14.  closes: #733611.
  * Bump to Standards-Version 3.9.5.

 -- Clint Adams <clint@debian.org>  Sun, 26 Jan 2014 18:37:34 -0500

twinkle (1:1.4.2-3) unstable; urgency=low

  * Reintroduce to Debian.
  * Patch to build CLI client instead of Qt3 GUI.

 -- Clint Adams <clint@debian.org>  Thu, 25 Jul 2013 12:55:03 -0400

twinkle (1:1.4.2-2) unstable; urgency=low

  * Drop depreciated KDE3 support: configure --without-kde
    - Assist with Debian KDE4 transition
    - Fix "Add a light version compiled without kde" (Closes: #367258)
  * Fix "FTBFS: seems to fail when building with libzrtpcpp-dev 1.3.0-1"
    Updated Build-Depends: (Closes: #519347)
  * DEB_AUTO_UPDATE_AUTOCONF regenerate configure (pickup boost_regex-mt.patch)
  * Relax Build-Depends: ccrtp >= 1.7.0
  * debian/compat -> 7
  * Update Standards 3.8.1 - no changes

 -- Mark Purcell <msp@debian.org>  Sat, 16 May 2009 11:33:53 +1000

twinkle (1:1.4.2-1) unstable; urgency=low

  * New upstream release
    - libcommoncpp2 transition

 -- Mark Purcell <msp@debian.org>  Thu, 26 Feb 2009 18:35:47 +1100

twinkle (1:1.4-2) experimental; urgency=low

  * Fix "twinkle_1:1.4-1(sparc/experimental): FTBFS: error:
    readline/readline.h: No such file or directory" 
    - Add Build-Depends: libreadline-dev & libspeexdsp-dev (Closes: #513135)
  * Update Description: to match upstream

 -- Mark Purcell <msp@debian.org>  Tue, 27 Jan 2009 17:30:42 +1100

twinkle (1:1.4-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: ccrtp >= 1.7.0

 -- Mark Purcell <msp@debian.org>  Mon, 26 Jan 2009 21:47:00 +1100

twinkle (1:1.3.2-1) experimental; urgency=low

  * New upstream release
  * Add Build-Depends: libmagic-dev
  * Patches included upstream; gcc4.3.patch z99-configure-boost.patch
  * Distribution experimental while we await lenny

 -- Mark Purcell <msp@debian.org>  Fri, 17 Oct 2008 12:19:21 +1100

twinkle (1:1.2-3) unstable; urgency=low

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.8.0.
  * Converted menu images to xpm and use them at twinkle.menu.
    Thanks lintian.

  [ Mark Purcell ]
  * Update debian.install: twinkle.desktop & sip.protocol
  * Update twinkle.desktop fixes
    - linitan:desktop-entry-contains-encoding-key
  * Add bug/presubj directing users to upstream user group
  * Add debian/twinkle.manpages
  * Update debian/menu - menu-icon-too-big. Icons in the Debian menu
    system should be at most 32x32

 -- Mark Purcell <msp@debian.org>  Sat, 11 Oct 2008 10:05:06 +1100

twinkle (1:1.2-2) unstable; urgency=low

  * Provide gcc4.3.patch to fix build issues
    - FTBFS: twinkle_zrtp_ui.h:47: error: 'MessageSeverity' has not been
    declared (Closes: #479874)
  * Fixup menu entry. Thks Rodrigo Campos
    - switch to new debian menu policy (Closes: #475424)
  * Update debian/twinkle.1 manpage for 1.2 version

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2008 12:38:57 +1000

twinkle (1:1.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Fix menu entry Apps -> Applications
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Mikael Magnusson ]
  * New upstream release (Closes: #465187)
  * Add myself to Uploaders.
  * Update debian/control package Description.
  * Update patches/libgsm.patch. (Partly merged by upstream.)
  * Rename patches/configure-boost.patch to
    patches/z99-configure-boost.patch (fixes patch order), and update.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sat, 15 Mar 2008 18:43:10 +0100

twinkle (1:1.1-2) unstable; urgency=low

  * Remove obsolete Build-Depends: kdelibs-bin
  * Rebuild for libboost transition

 -- Mark Purcell <msp@debian.org>  Thu, 16 Aug 2007 18:12:05 +0100

twinkle (1:1.1-1) unstable; urgency=low

  * New upstream release
  * Rework debian/patches/libgsm.patch
  * Rework debian/patches/configure-boost.patch  to correctly detect
    -lboost_regex-mt...

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:50:26 +0100

twinkle (1:1.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/patches deleted as included upstream:
    - audiocheck.patch
    - conf.patch
    - incoming.patch
  * Rebuild with Depends: libzrtpcpp-0.9-0 (>= 0.9-4)
    - Crashes when making/receiving a call (Closes: #420138)

 -- Mark Purcell <msp@debian.org>  Sun, 20 May 2007 16:55:03 +0100

twinkle (1:1.0-3) unstable; urgency=low

  * Rebuild for libccrtp-dev > 1.5.1 [libccrtp soname]
    - twinkle depends on libccrtp1-1.5-0 which is not in sid (Closes:
    #418843)

 -- Mark Purcell <msp@debian.org>  Thu, 12 Apr 2007 21:43:17 +0100

twinkle (1:1.0-2) unstable; urgency=low

  * Add upstream patches; audiocheck, conf & incoming

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:14:15 +0000

twinkle (1:1.0-1) unstable; urgency=low

  * New upstream release
    - binNMU required (Closes: #402509)
    - Via headers containing ipv6 addresses are dropped (Closes: #398849)
  * Update debian/rules URL location
  * Delete debian/patches/extra-qualifications.patch included upstream
  * Update debian/control package Description
  * Update debian/twinkle.1 manpage for 1.0 release
  * lintian cleanup: extended-description-line-too-long

 -- Mark Purcell <msp@debian.org>  Thu, 25 Jan 2007 22:32:22 +0000

twinkle (1:1.0~beta-1) unstable; urgency=low

  * New upstream release
  * Needed for the preceeding package to get into etch
  * delete debian/patches dtmf, invite4xx and memman included upstream
  * debian/rules get-orig-source targets rewritten
  * Cleanup debian/watch
  * Add extra-qualifications.patch to fix upstream g 4.1.1 build errors

 -- Mark Purcell <msp@debian.org>  Mon,  8 Jan 2007 21:29:49 +0000

twinkle (1:0.9-6) testing-proposed-updates; urgency=medium

  * Apply upstream memman.patch to fix random twinkle crashes
    - crash on call end (Closes: #402509)
  * Loaded direct to t-p-u as discussed on debian-release

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 06:27:36 +0000



=== debian/control ===
Source: twinkle
Section: comm
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7), cdbs, help2man,
 autotools-dev, autoconf, automake,
 libcommoncpp2-dev (>= 1.4.2), libccrtp-dev, libzrtpcpp-dev (>= 1.4.0),
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libgsm1-dev, libsndfile1-dev, libspeex-dev, libspeexdsp-dev,
 libreadline-dev,
 libboost-regex-dev, libxml2-dev, libxpm-dev, libmagic-dev
 , libncurses-dev
Standards-Version: 3.9.5
Homepage: http://www.twinklephone.com/

Package: twinkle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Voice over Internet Protocol (VoIP) SIP Phone
 Soft-phone for making telephone calls using SIP over an IP network.
 .
 Twinkle supports direct IP phone to IP phone communication or a network
 using a SIP proxy to route your calls.
 .
 In addition to making basic voice calls Twinkle provides you the
 following features regardless of the services that your VoIP service
 provider might offer.
 .
  2 call appearances (lines)
  Multiple active call identities
  Custom ring tones
  Call Waiting
  Call Hold
  3-way conference calling
  Mute
  Call redirection on demand
  Call redirection unconditional
  Call redirection when busy
  Call redirection no answer
  Reject call redirection request
  Blind call transfer
  Call transfer with consultation (attended call transfer) (new)
  Reject call transfer request
  Call reject
  Repeat last call
  Do not disturb
  Auto answer
  Message Waiting Indication
  Voice mail speed dial
  User definable scripts triggered on call events
   E.g. to implement selective call reject or distinctive ringing
  RFC 2833 DTMF events
  In-band DTMF
  Out-of-band DTMF (SIP INFO)
  STUN support for NAT traversal
  Send NAT keep alive packets when using STUN
  NAT traversal through static provisioning
  Missed call indication
  History of call detail records for incoming, outgoing, successful and missed
  DNS SRV support
  Automatic fail-over to an alternate server if a server is unavailable
  Other programs can originate a call via Twinkle, e.g. call from address book
  System tray icon
  System tray menu to originate and answer calls while Twinkle stays hidden
  User definable number conversion rules
  Simple address book
  Support for UDP and TCP (new) as transport for SIP
  Presence
  Instant messaging
  Simple file transfer with instant message
  Instant message composition indication
  Command line interface (CLI)
 .
 VoIP security
  Secure voice communication by ZRTP/SRTP
  MD5 digest authentication support for all SIP requests
  AKAv1-MD5 digest authentication support for all SIP requests (new)
  Identity hiding
 .
 Audio codecs
  G.711 A-law (64 kbps payload, 8 kHz sampling rate)
  G.711 u-law (64 kbps payload, 8 kHz sampling rate)
  GSM (13 kbps payload, 8 kHz sampling rate)
  Speex narrow band (15.2 kbps payload, 8 kHz sampling rate)
  Speex wide band (28 kbps payload, 16 kHz sampling rate)
  Speex ultra wide band (36 kbps payload, 32 kHz sampling rate)
  G.726 (16, 24, 32 or 40 kbps payload, 8 kHz sampling rate)
 .
 For all codecs the following preprocessing options are available to improve
 quality at the far end of a call. 
  Automatic gain control (AGC) (new)
  Noise reduction (new)
  Voice activity detection (VAD) (new)
  Acoustic echo control (AEC) [experimental] (new)

=== debian/rules ===
#!/usr/bin/make -f

URL = http://www.xs4all.nl/~mfnboer/twinkle/download/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz
FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --without-ilbc --without-kde
DEB_AUTO_UPDATE_AUTOCONF := yes
DEB_AUTO_UPDATE_AUTOMAKE := 1.14
DEB_AUTOMAKE_ARGS := --add-missing --copy

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget  -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

help2man:
	help2man twinkle -N -n 'Voice over Internet Protocol (VoIP) SIP Phone' -o debian/twinkle.1

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/beta/~beta/ \
   http://www.xs4all.nl/~mfnboer/twinkle/download/twinkle-(.*)\.tar\.gz debian svn-upgrade

## twinkle 1.9.0+dfsg

=== CMakeLists.txt ===
project(twinkle)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PRODUCT_VERSION "1.9.0")
set(PRODUCT_DATE    "July 10, 2015")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)
OPTION(WITH_SPEEX		"Enable the Speex codec" OFF)
OPTION(WITH_ILBC		"Enable the iLBC codec" OFF)
OPTION(WITH_ALSA		"Enable ALSA support" ON)
OPTION(WITH_DIAMONDCARD	"Enable Diamondcard integration" OFF)
OPTION(WITH_QT4			"Enable Qt 4 GUI" OFF)
OPTION(WITH_QT5			"Enable Qt 5 GUI" OFF)
OPTION(WITH_G729		"Enable G.729A support" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

if (WITH_QT4 AND WITH_QT5)
		message(FATAL_ERROR "Qt 4 and Qt 5 cannot be enabled at the same time!")
endif (WITH_QT4 AND WITH_QT5)

include (CheckIncludeFile)

find_package(LibXml2 REQUIRED)
find_package(LibMagic REQUIRED)
find_package(LibSndfile REQUIRED)
find_package(Readline REQUIRED)
find_package(BISON REQUIRED)
find_package(FLEX REQUIRED)
find_package(Commoncpp REQUIRED)
find_package(Ccrtp REQUIRED)
find_package(Ucommon REQUIRED)

if (WITH_QT4)
	find_package(Qt4 REQUIRED COMPONENTS QTGUI QTDECLARATIVE)
	include_directories(${QT_QT3SUPPORT_INCLUDE_DIR}
		${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
		${QT_QTDECLARATIVE_INCLUDE_DIR} ${QT_INCLUDE_DIR})

elseif (WITH_QT5)
	find_package(Qt5Widgets REQUIRED)
	find_package(Qt5LinguistTools REQUIRED)
	find_package(Qt5Declarative REQUIRED)
	find_package(Qt5Quick REQUIRED)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Declarative_EXECUTABLE_COMPILE_FLAGS}")
	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Declarative_INCLUDES})
	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Declarative_DEFINITIONS})
endif (WITH_QT4)

include_directories(${LIBXML2_INCLUDE_DIR})

if (WITH_ALSA)
	find_package(ALSA)

	if (ALSA_FOUND)
		message(STATUS "libasound OK")
		set(HAVE_LIBASOUND TRUE)
	else (ALSA_FOUND)
		message(FATAL_ERROR "libasound not found!")
	endif (ALSA_FOUND)
endif (WITH_ALSA)

if (WITH_ZRTP)
	find_package(Zrtpcpp)
	
	if (ZRTPCPP_FOUND)
		message(STATUS "libzrtpcpp OK")
		set(HAVE_ZRTP TRUE)
		
		include_directories(${ZRTPCPP_INCLUDE_DIR})
	else (ZRTPCPP_FOUND)
		message(FATAL_ERROR "libzrtpcpp not found!")
	endif (ZRTPCPP_FOUND)
endif (WITH_ZRTP)

if (WITH_SPEEX)
	find_package(Speex)
	
	if (SPEEX_FOUND)
		message(STATUS "Speex OK")
		set(HAVE_SPEEX TRUE)
		
		include_directories(${SPEEX_INCLUDE_DIR})
	else (SPEEX_FOUND)
		message(FATAL_ERROR "Speex not found!")
	endif (SPEEX_FOUND)
endif (WITH_SPEEX)

if (WITH_ILBC)
	find_package(Ilbc)
	
	if (ILBC_FOUND)
		message(STATUS "iLBC OK")
		set(HAVE_ILBC TRUE)
		
		include_directories(${ILBC_INCLUDE_DIR})
	else (ILBC_FOUND)
		message(FATAL_ERROR "iLBC not found!")
	endif (ILBC_FOUND)
endif (WITH_ILBC)

if (WITH_G729)
	find_package(G729)
	
	if (G729_FOUND)
		message(STATUS "bcg729 OK")
		set(HAVE_BCG729 TRUE)
		
		include_directories(${G729_INCLUDE_DIR})
	else (G729_FOUND)
		message(FATAL_ERROR "bcg729 not found!")
	endif (G729_FOUND)
endif (WITH_G729)


check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(linux/types.h HAVE_LINUX_TYPES_H)
check_include_file(linux/errqueue.h HAVE_LINUX_ERRQUEUE_H)

set(datadir "${CMAKE_INSTALL_PREFIX}/share/twinkle")
configure_file(twinkle_config.h.in twinkle_config.h)
configure_file(twinkle.desktop.in twinkle.desktop)

include_directories("${CMAKE_BINARY_DIR}")

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/providers.csv
	${CMAKE_CURRENT_SOURCE_DIR}/data/ringtone.wav
	${CMAKE_CURRENT_SOURCE_DIR}/data/ringback.wav
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle16.png
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle32.png
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle48.png
	DESTINATION share/twinkle)
install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle48.png
	DESTINATION share/pixmaps
	RENAME twinkle.png)
install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/twinkle.desktop
	DESTINATION share/applications)

add_subdirectory(src)

=== src/CMakeLists.txt ===
project(libtwinkle)

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

add_subdirectory(audio)
add_subdirectory(audio/gsm/src)
add_subdirectory(audits)
add_subdirectory(im)
add_subdirectory(mwi)
add_subdirectory(parser)
add_subdirectory(patterns)
add_subdirectory(presence)
add_subdirectory(sdp)
add_subdirectory(sockets)
add_subdirectory(stun)
add_subdirectory(threads)
add_subdirectory(utils)

set(LIBTWINKLE_SRCS
	abstract_dialog.cpp
	address_book.cpp
	auth.cpp
	call_history.cpp
	call_script.cpp
	client_request.cpp
	cmd_socket.cpp
	dialog.cpp
	diamondcard.cpp
	epa.cpp
	events.cpp
	id_object.cpp
	line.cpp
	listener.cpp
	log.cpp
	phone.cpp
	phone_user.cpp
	prohibit_thread.cpp
	redirect.cpp
	sender.cpp
	service.cpp
	session.cpp
	sub_refer.cpp
	subscription.cpp
	subscription_dialog.cpp
	sys_settings.cpp
	timekeeper.cpp
	transaction.cpp
	transaction_layer.cpp
	transaction_mgr.cpp
	user.cpp
	userintf.cpp
	util.cpp
)

add_library(libtwinkle OBJECT ${LIBTWINKLE_SRCS})

add_executable(twinkle-console
	main.cpp
	$<TARGET_OBJECTS:libtwinkle>
	$<TARGET_OBJECTS:libtwinkle-audio>
	$<TARGET_OBJECTS:libtwinkle-gsm>
	$<TARGET_OBJECTS:libtwinkle-audits>
	$<TARGET_OBJECTS:libtwinkle-im>
	$<TARGET_OBJECTS:libtwinkle-mwi>
	$<TARGET_OBJECTS:libtwinkle-parser>
	$<TARGET_OBJECTS:libtwinkle-patterns>
	$<TARGET_OBJECTS:libtwinkle-presence>
	$<TARGET_OBJECTS:libtwinkle-sdp>
	$<TARGET_OBJECTS:libtwinkle-sockets>
	$<TARGET_OBJECTS:libtwinkle-stun>
	$<TARGET_OBJECTS:libtwinkle-threads>
	$<TARGET_OBJECTS:libtwinkle-utils>
)

if (WITH_QT4 OR WITH_QT5)
	add_subdirectory(gui)
endif (WITH_QT4 OR WITH_QT5)

target_link_libraries(twinkle-console -lpthread -lresolv ${LibMagic_LIBRARY} ${LIBXML2_LIBRARIES}
	${Readline_LIBRARY} ${ILBC_LIBRARIES} ${SPEEX_LIBRARIES} ${ZRTPCPP_LIBRARIES}
	${CCRTP_LIBRARIES} ${COMMONCPP_LIBRARIES} ${UCOMMON_LIBRARIES} ${LIBSNDFILE_LIBRARY}
	${ALSA_LIBRARY} ${G729_LIBRARY})

install(TARGETS twinkle-console DESTINATION bin)

=== src/audio/CMakeLists.txt ===
project(libtwinkle-audio)

set(LIBTWINKLE_AUDIO-SRCS
	audio_device.cpp
	audio_decoder.cpp
	audio_encoder.cpp
	audio_codecs.cpp
	audio_rx.cpp
	audio_session.cpp
	audio_tx.cpp
	dtmf_player.cpp
	freq_gen.cpp
	g711.cpp
	g721.cpp
	g723_16.cpp
	g723_24.cpp
	g723_40.cpp
	g72x.cpp
	media_buffer.cpp
	rtp_telephone_event.cpp
	tone_gen.cpp
	twinkle_rtp_session.cpp
	twinkle_zrtp_ui.cpp
)

add_library(libtwinkle-audio OBJECT ${LIBTWINKLE_AUDIO-SRCS})

=== src/gui/CMakeLists.txt ===
project(twinkle-gui)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(twinkle_ui_SRC
	addresscardform.ui
	authenticationform.ui
	buddyform.ui
	deregisterform.ui
	diamondcardprofileform.ui
	dtmfform.ui
	getaddressform.ui
	getprofilenameform.ui
	historyform.ui
	inviteform.ui
	logviewform.ui
	messageform.ui
	mphoneform.ui
	numberconversionform.ui
	redirectform.ui
	selectnicform.ui
	selectprofileform.ui
	selectuserform.ui
	sendfileform.ui
	srvredirectform.ui
	syssettingsform.ui
	termcapform.ui
	transferform.ui
	userprofileform.ui
	wizardform.ui
)

set (twinkle_lang_SRC
	lang/twinkle_cs.ts
	lang/twinkle_de.ts
	lang/twinkle_fr.ts
	lang/twinkle_nl.ts
	lang/twinkle_ru.ts
	lang/twinkle_sv.ts
)

if (WITH_QT4)
qt4_wrap_ui(
	twinkle_UIS
	${twinkle_ui_SRC}
)

qt4_add_resources(twinkle_QRC icons.qrc qml/qml.qrc)

qt4_add_translation(twinkle_LANG
	${twinkle_lang_SRC}
)

set(qt_LIBS Qt4::QtGui Qt4::QtDeclarative)

elseif (WITH_QT5)

qt5_wrap_ui(
	twinkle_UIS
	${twinkle_ui_SRC}
)

qt5_add_resources(twinkle_QRC icons.qrc qml/qml.qrc)

qt5_add_translation(twinkle_LANG
	${twinkle_lang_SRC}
)

set(qt_LIBS Qt5::Widgets Qt5::Quick Qt5::Declarative)
endif (WITH_QT4)

set(CMAKE_AUTOMOC ON)

set(TWINKLE_GUI-SRCS
	mphoneform.cpp
	inviteform.cpp
	getaddressform.cpp
	redirectform.cpp
	termcapform.cpp
	messageform.cpp
	srvredirectform.cpp
	userprofileform.cpp
	transferform.cpp
	syssettingsform.cpp
	historyform.cpp
	selectuserform.cpp
	selectprofileform.cpp
	buddyform.cpp
	diamondcardprofileform.cpp
	addresscardform.cpp
	authenticationform.cpp
	selectnicform.cpp
	sendfileform.cpp
	wizardform.cpp

	address_finder.cpp
	addresstablemodel.cpp
	buddylistview.cpp
	deregisterform.cpp
	dtmfform.cpp
	getprofilenameform.cpp
	gui.cpp
	logviewform.cpp
	main.cpp
	messageformview.cpp
	numberconversionform.cpp
	twinkleapplication.cpp
	yesnodialog.cpp
	textbrowsernoautolink.cpp
	osd.cpp
	incoming_call_popup.cpp

	$<TARGET_OBJECTS:libtwinkle>
	$<TARGET_OBJECTS:libtwinkle-audio>
	$<TARGET_OBJECTS:libtwinkle-gsm>
	$<TARGET_OBJECTS:libtwinkle-audits>
	$<TARGET_OBJECTS:libtwinkle-im>
	$<TARGET_OBJECTS:libtwinkle-mwi>
	$<TARGET_OBJECTS:libtwinkle-parser>
	$<TARGET_OBJECTS:libtwinkle-patterns>
	$<TARGET_OBJECTS:libtwinkle-presence>
	$<TARGET_OBJECTS:libtwinkle-sdp>
	$<TARGET_OBJECTS:libtwinkle-sockets>
	$<TARGET_OBJECTS:libtwinkle-stun>
	$<TARGET_OBJECTS:libtwinkle-threads>
	$<TARGET_OBJECTS:libtwinkle-utils>
	${twinkle_UIS}
	${twinkle_QRC}
	${twinkle_LANG}
)

add_executable(twinkle ${TWINKLE_GUI-SRCS})
target_link_libraries(twinkle -lpthread -lresolv ${LibMagic_LIBRARY} ${LIBXML2_LIBRARIES}
	${Readline_LIBRARY} ${ILBC_LIBRARIES} ${SPEEX_LIBRARIES} ${ZRTPCPP_LIBRARIES}
	${CCRTP_LIBRARIES} ${COMMONCPP_LIBRARIES} ${UCOMMON_LIBRARIES} ${LIBSNDFILE_LIBRARY}
	${ALSA_LIBRARY} ${qt_LIBS} ${G729_LIBRARY})

install(TARGETS twinkle DESTINATION bin)
install(FILES ${twinkle_LANG} DESTINATION share/twinkle/lang)

=== src/mwi/CMakeLists.txt ===
project(libtwinkle-mwi)

set(LIBTWINKLE_MWI-SRCS
	mwi.cpp
	mwi_dialog.cpp
	mwi_subscription.cpp
	simple_msg_sum_body.cpp
)

add_library(libtwinkle-mwi OBJECT ${LIBTWINKLE_MWI-SRCS})

=== src/sockets/CMakeLists.txt ===
project(libtwinkle-sockets)

set(LIBTWINKLE_SOCKETS-SRCS
	connection.cpp
	connection_table.cpp
	dnssrv.cpp
        interfaces.cpp
        socket.cpp
        url.cpp
)

add_library(libtwinkle-sockets OBJECT ${LIBTWINKLE_SOCKETS-SRCS})

=== src/threads/CMakeLists.txt ===
project(libtwinkle-threads)

set(LIBTWINKLE_THREADS-SRCS
	thread.cpp
	mutex.cpp
	sema.cpp
)

add_library(libtwinkle-threads OBJECT ${LIBTWINKLE_THREADS-SRCS})

=== debian/changelog ===
twinkle (1:1.9.0+dfsg-3ubuntu1) yakkety; urgency=medium

  * debian/patches/ucommon-7.0.patch: Grab patch from upstream Git to fix
    FTBFS with uCommon 7.0.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 05 May 2016 19:09:03 -0400

twinkle (1:1.9.0+dfsg-3) unstable; urgency=medium

  * Explicitly disable ALSA support on non-Linux architectures.
  * Set Maintainer field to Debian VoIP Team.
  * Add myself to Uploaders field.
  * Update Vcs-Git and Vcs-Browser fields.
  * Fix conflicting definition of socklen_t on GNU Hurd.

 -- Peter Colberg <peter@colberg.org>  Wed, 06 Jan 2016 08:15:17 -0500

twinkle (1:1.9.0+dfsg-2) unstable; urgency=medium

  * Disable ZRTP support to allow migration to testing.
    - libzrtpcpp links against OpenSSL in violation of the GPL (see: #797554).
  * Enable ALSA support on Linux only.
  * Fix detection of <linux/errqueue.h>.
  * Add Vcs-Git and Vcs-Browser fields.
  * Fix spelling mistakes detected by lintian.
  * Link with -Wl,--as-needed to avoid useless library dependencies.
  * Cherry-pick UI fixes from upstream git.

 -- Peter Colberg <peter@colberg.org>  Wed, 30 Dec 2015 23:38:41 -0500

twinkle (1:1.9.0+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release.
  * Repack orig tarball without embedded gsm library.
  * Update Homepage to new upstream URL.
  * Add Build-Depends:
    - bison
    - cmake
    - flex
    - linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
    - qtdeclarative5-dev
    - qtquick1-5-dev
    - qtscript5-dev
    - qttools5-dev
    - qttools5-dev-tools
  * Drop Build-Depends:
    - autotools-dev
    - cdbs
    - dh-autoreconf
    - libboost-regex-dev
    - libncurses-dev
    - libxpm-dev
  * Update patches:
    - desktop-entry-contains-encoding-key.patch
    - libgsm.patch
  * Drop patches:
    - boost_regex-mt.patch
    - localetime_r_conflict.diff
    - newer-automake.diff
    - newer-libccrtp.diff
    - no-qt.diff
    - vsnprintf_incompatibility.diff
  * Add machine-readable copyright file.
  * Update watch file to track github releases.
  * Update debhelper compat level to 9.
  * Migrate from cdbs to dh.
  * Support parallel build.
  * Remove deprecated menu file.
  * Bump Standards-Version to 3.9.6.

  [ Clint Adams ]
  * Remove myself from Maintainer field.

 -- Clint Adams <clint@debian.org>  Tue, 29 Dec 2015 12:59:30 -0500

twinkle (1:1.4.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to drop had-dependancy on obsolete
    automake. (Closes: #754046)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 31 Aug 2015 19:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,38 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, help2man,
- autotools-dev, autoconf, automake,
- libcommoncpp2-dev (>= 1.4.2), libccrtp-dev, libzrtpcpp-dev (>= 1.4.0),
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libgsm1-dev, libsndfile1-dev, libspeex-dev, libspeexdsp-dev,
- libreadline-dev,
- libboost-regex-dev, libxml2-dev, libxpm-dev, libmagic-dev
- , libncurses-dev
-Standards-Version: 3.9.5
-Homepage: http://www.twinklephone.com/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Peter Colberg <peter@colberg.org>
+Build-Depends: bison,
+               cmake,
+               debhelper (>= 9),
+               flex,
+               help2man,
+               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libccrtp-dev,
+               libcommoncpp2-dev (>= 1.4.2),
+               libgsm1-dev,
+               libmagic-dev,
+               libreadline-dev,
+               libsndfile1-dev,
+               libspeex-dev,
+               libspeexdsp-dev,
+               libxml2-dev,
+               linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               qtdeclarative5-dev,
+               qtquick1-5-dev,
+               qtscript5-dev,
+               qttools5-dev,
+               qttools5-dev-tools
+Standards-Version: 3.9.6
+Homepage: http://twinkle.dolezel.info/
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git
 
 Package: twinkle
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Voice over Internet Protocol (VoIP) SIP Phone
  Soft-phone for making telephone calls using SIP over an IP network.
  .
@@ -87,7 +104,7 @@
   G.726 (16, 24, 32 or 40 kbps payload, 8 kHz sampling rate)
  .
  For all codecs the following preprocessing options are available to improve
- quality at the far end of a call. 
+ quality at the far end of a call.
   Automatic gain control (AGC) (new)
   Noise reduction (new)
   Voice activity detection (VAD) (new)

=== debian/rules ===
#!/usr/bin/make -f

# Disable ZRTP support for now (see: #797554)
CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON

# Enable ALSA support on Linux only
ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
CONFIGURE_FLAGS += -DWITH_ALSA=ON
else
CONFIGURE_FLAGS += -DWITH_ALSA=OFF
endif

# Avoid useless library dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_clean:
	rm -f debian/twinkle.1
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installman:
	help2man debian/twinkle/usr/bin/twinkle -N -n 'Voice over Internet Protocol (VoIP) SIP Phone' -o debian/twinkle.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-current-version

## twinkle 1.9.0+git20160321.0.64a0816+dfsg

=== debian/changelog ===
twinkle (1:1.9.0+git20160321.0.64a0816+dfsg-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #821234).
  * Drop patches applied upstream.
  * Drop build dependency on qtquick1-5-dev (Closes: #810708).
  * Enable hardening build flags.
  * Bump Standards-Version to 3.9.8.

 -- Peter Colberg <peter@colberg.org>  Fri, 13 May 2016 07:14:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Peter Colberg <peter@colberg.org>
 Build-Depends: bison,
                cmake,
@@ -21,11 +20,10 @@
                libxml2-dev,
                linux-libc-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                qtdeclarative5-dev,
-               qtquick1-5-dev,
                qtscript5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://twinkle.dolezel.info/
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,13 @@
 #!/usr/bin/make -f
+
+# Support manual invocation of debian/rules
+include /usr/share/dpkg/architecture.mk
 
 # Disable ZRTP support for now (see: #797554)
 CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON
 
 # Enable ALSA support on Linux only
-ifeq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_FLAGS += -DWITH_ALSA=ON
 else
 CONFIGURE_FLAGS += -DWITH_ALSA=OFF
@@ -12,6 +15,8 @@
 
 # Avoid useless library dependencies
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel

## twinkle 1.9.0+git20160520.0.be8b8df+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,17 +11,14 @@
 OPTION(WITH_ILBC		"Enable the iLBC codec" OFF)
 OPTION(WITH_ALSA		"Enable ALSA support" ON)
 OPTION(WITH_DIAMONDCARD	"Enable Diamondcard integration" OFF)
-OPTION(WITH_QT4			"Enable Qt 4 GUI" OFF)
-OPTION(WITH_QT5			"Enable Qt 5 GUI" OFF)
+OPTION(WITH_QT5			"Enable Qt 5 GUI" ON)
 OPTION(WITH_G729		"Enable G.729A support" OFF)
+OPTION(WITH_GSM			"Use external GSM library" OFF)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
-if (WITH_QT4 AND WITH_QT5)
-		message(FATAL_ERROR "Qt 4 and Qt 5 cannot be enabled at the same time!")
-endif (WITH_QT4 AND WITH_QT5)
-
 include (CheckIncludeFile)
+include (CheckIncludeFiles)
 
 find_package(LibXml2 REQUIRED)
 find_package(LibMagic REQUIRED)
@@ -33,21 +30,14 @@
 find_package(Ccrtp REQUIRED)
 find_package(Ucommon REQUIRED)
 
-if (WITH_QT4)
-	find_package(Qt4 REQUIRED COMPONENTS QTGUI QTDECLARATIVE)
-	include_directories(${QT_QT3SUPPORT_INCLUDE_DIR}
-		${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
-		${QT_QTDECLARATIVE_INCLUDE_DIR} ${QT_INCLUDE_DIR})
-
-elseif (WITH_QT5)
+if (WITH_QT5)
 	find_package(Qt5Widgets REQUIRED)
 	find_package(Qt5LinguistTools REQUIRED)
-	find_package(Qt5Declarative REQUIRED)
 	find_package(Qt5Quick REQUIRED)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Declarative_EXECUTABLE_COMPILE_FLAGS}")
-	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Declarative_INCLUDES})
-	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Declarative_DEFINITIONS})
-endif (WITH_QT4)
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Quick_EXECUTABLE_COMPILE_FLAGS}")
+	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Quick_INCLUDES})
+	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Quick_DEFINITIONS})
+endif (WITH_QT5)
 
 include_directories(${LIBXML2_INCLUDE_DIR})
 
@@ -114,10 +104,22 @@
 	endif (G729_FOUND)
 endif (WITH_G729)
 
+if (WITH_GSM)
+	find_package(Gsm)
+
+	if (GSM_FOUND)
+		message(STATUS "gsm OK")
+		set(HAVE_GSM TRUE)
+
+		include_directories(${GSM_INCLUDE_DIR})
+	else (GSM_FOUND)
+		message(FATAL_ERROR "gsm not found!")
+	endif (GSM_FOUND)
+endif (WITH_GSM)
 
 check_include_file(unistd.h HAVE_UNISTD_H)
 check_include_file(linux/types.h HAVE_LINUX_TYPES_H)
-check_include_file(linux/errqueue.h HAVE_LINUX_ERRQUEUE_H)
+check_include_files("sys/socket.h;linux/errqueue.h" HAVE_LINUX_ERRQUEUE_H)
 
 set(datadir "${CMAKE_INSTALL_PREFIX}/share/twinkle")
 configure_file(twinkle_config.h.in twinkle_config.h)
@@ -141,4 +143,23 @@
 	${CMAKE_CURRENT_BINARY_DIR}/twinkle.desktop
 	DESTINATION share/applications)
 
+install(FILES src/gui/images/twinkle16.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/16x16/apps)
+install(FILES src/gui/images/twinkle24.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/24x24/apps)
+install(FILES src/gui/images/twinkle32.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/32x32/apps)
+install(FILES src/gui/images/twinkle48.png
+	RENAME twinkle.png
+	DESTINATION share/icons/hicolor/48x48/apps)
+install(FILES data/twinkle.svg
+	DESTINATION share/icons/hicolor/scalable/apps)
+
+install(FILES data/twinkle.1
+	DESTINATION share/man/man1)
+
 add_subdirectory(src)
+

=== debian/changelog ===
twinkle (1:1.9.0+git20160520.0.be8b8df+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Rewrite Description in a succinct style
  * Move twinkle-console to separate package
  * Install upstream man page
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sun, 26 Jun 2016 19:13:17 -0400

twinkle (1:1.9.0+git20160321.0.64a0816+dfsg-2) unstable; urgency=high

  * Depend on qml-module-qtquick2 (Closes: #824946).

 -- Peter Colberg <peter@colberg.org>  Sat, 21 May 2016 13:31:48 -0400

=== debian/control ===
Source: twinkle
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>
Build-Depends: bison,
               cmake,
               debhelper (>= 9),
               flex,
               libasound2-dev [linux-any],
               libccrtp-dev,
               libcommoncpp2-dev (>= 1.4.2),
               libgsm1-dev,
               libmagic-dev,
               libreadline-dev,
               libsndfile1-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libxml2-dev,
               linux-libc-dev [linux-any],
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: http://twinkle.dolezel.info/
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git

Package: twinkle
Architecture: any
Depends: qml-module-qtquick2,
         twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Voice over Internet Protocol (VoIP) SIP Phone (GUI)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the graphical interface.

Package: twinkle-console
Architecture: any
Depends: twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: twinkle (= ${binary:Version})
Description: Voice over Internet Protocol (VoIP) SIP Phone (console)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the console interface. Note that the console
 interface provides a reduced set of features; in particular, the
 graphical interface is needed to create the configuration files.

Package: twinkle-common
Architecture: all
Depends: ${misc:Depends}
Breaks: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Replaces: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Description: Voice over Internet Protocol (VoIP) SIP Phone (common files)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains common files for both interfaces.

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
-override_dh_installman:
-	help2man debian/twinkle/usr/bin/twinkle -N -n 'Voice over Internet Protocol (VoIP) SIP Phone' -o debian/twinkle.1
-	dh_installman
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## twinkle 1.10.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
-set(PRODUCT_VERSION "1.9.0")
-set(PRODUCT_DATE    "July 10, 2015")
+set(PRODUCT_VERSION "1.10.0")
+set(PRODUCT_DATE    "July 15, 2016")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)

=== debian/changelog ===
twinkle (1:1.10.0+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Peter Colberg <peter@colberg.org>  Sat, 23 Jul 2016 00:03:12 -0400

twinkle (1:1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sat, 16 Jul 2016 00:00:18 -0400
